### Constructor

# Gsk.ConicGradientNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_conic_gradient_node_new (
      const graphene_rect_t* bounds,
      const graphene_point_t* center,
      float rotation,
      const GskColorStop* color_stops,
      gsize n_color_stops
    )

#### Description [src]

Creates a `GskRenderNode` that draws a conic gradient.

The conic gradient starts around `center` in the direction of `rotation`. A rotation of 0 means that the gradient points up. Color stops are then added clockwise.

#### Parameters

`bounds` | `const graphene_rect_t*`
| the bounds of the node
| Ownership is not transferred to the callee
`center` | `const graphene_point_t*`
| the center of the gradient
| Ownership is not transferred to the callee
`rotation` | `float`
| the rotation of the gradient in degrees
`color_stops` | An array of `GskColorStop`
| a pointer to an array of `GskColorStop` defining the gradient. The offsets of all color stops must be increasing. The first stop’s offset must be >= 0 and the last stop’s offset must be <= 1.
| The length of the array is in the `n_color_stops` argument
| Ownership is not transferred to the callee
`n_color_stops` | `gsize`
| the number of elements in `color_stops`

#### Return value

Returns: `GskConicGradientNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller